Request
curl -X POST https://sandbox.api.lendeasy.ai/v1/servicing/action-requests/preview \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"caseId": "case_HBR_COL_51",
"loanId": "loan_harbor_7X2K",
"actionType": "take_payment",
"parameters": {
"amount": "517.14",
"currency": "USD",
"effectiveDate": "2027-05-08",
"paymentInstrumentId": "pi_HBR_ACH_04"
}
}'
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/action-requests/preview`, {
method: "POST",
headers: { Authorization: `Bearer ${token}`, "Idempotency-Key": idempotencyKey, "Content-Type": "application/json" },
body: JSON.stringify({
"caseId": "case_HBR_COL_51",
"loanId": "loan_harbor_7X2K",
"actionType": "take_payment",
"parameters": {
"amount": "517.14",
"currency": "USD",
"effectiveDate": "2027-05-08",
"paymentInstrumentId": "pi_HBR_ACH_04"
}
}),
});
requests.post(
f"https://sandbox.api.lendeasy.ai/v1/servicing/action-requests/preview",
headers={"Authorization": f"Bearer {token}", "Idempotency-Key": idempotency_key},
json={
"caseId": "case_HBR_COL_51",
"loanId": "loan_harbor_7X2K",
"actionType": "take_payment",
"parameters": {
"amount": "517.14",
"currency": "USD",
"effectiveDate": "2027-05-08",
"paymentInstrumentId": "pi_HBR_ACH_04"
}
},
)
{
"eligible": true,
"previewToken": "prv_AR_71",
"expiresAt": "2027-05-01T10: 30: 00-07: 00",
"approvalRequired": false,
"capability": "lms_provided",
"warnings": []
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}